<?php

// Funciones para la autentificacion de usuarios.

require_once 'bd.php';

session_start();

// Devuelve true si nos hemos autentificado
function esta_autentificado() {
  return isset($_SESSION['username']);
  //echo "$_SESSION['username']";
}

// Salta a la pagina de login si no estamos autentificados,
// guardando de donde venimos
function comprueba_autenticacion() {
  if (!esta_autentificado()) {
    $_SESSION['pagina_origen']=$_SERVER['REQUEST_URI'];
    header('Location: '.PAGINA_LOGIN);
  }
}

// Comprueba si un usuario y un password son correctos
function login_correcto($u,$p) {
  open();
  $u=addslashes($u);
  $p=addslashes($p);
  //echo "soy '$u'";
  $query = "SELECT count(*) from usuarios where USUARIO='$u' and USUARIO_PASSWORD='$p'";
  $result = mysql_query($query) or die(mysql_error());
  $num=mysql_fetch_row($result);
  return ($num[0]==1);
}

// Salta a la pagina de la que venimos o a la de inicio,
// segun si el usuario y password son correctos o no.
function trata_login($u,$p) {
  if (login_correcto($u,$p)) {
    $_SESSION['username']=$u;
    if (isset($_SESSION['pagina_origen'])) {
      $pagina=$_SESSION['pagina_origen'];
    } else {
      $pagina=PAGINA_INICIO;
    }
    header('Location: '.$pagina);
  } else {
    header('Location: '.PAGINA_LOGIN);
	//echo 'Es necesaria la utenticación en la aplicación para acceder a la aplicación';
	
  }
}

// Salimos de la sesión
function logout() {
  session_destroy();
}

// Devolvemos un código de error 403. Podemos configurar
// apache para que devuelva una página asociada a este código
function pagina_error() {
  header("HTTP/1.0 403 Forbidden");
}

?>
